<?xml version='1.0' encoding='UTF-8' ?> 
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:f="http://xmlns.jcp.org/jsf/core">

    <h:head>
        <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
        <h:outputStylesheet name="./css/default.css"/>
        <h:outputStylesheet name="./css/cssLayout.css"/>
        <title>Vault</title>
    </h:head>

    <h:body>

        <div id="top" class="top">
            <ui:insert name="top">Vault</ui:insert>
        </div>

        <div id="content" class="center_content">
            <ui:insert name="Table">Table Data</ui:insert>
        </div>

        <h:form rendered="#{loginBean.authed}">
            <h:dataTable var="value" value="#{loginBean.allValues}" styleClass="table-container"
                    rowClasses="table-odd,table-even"
                    headerClass="table-header"
                         >

                <h:column>
                    <f:facet name="header">Icon</f:facet>
                    <h:graphicImage url="#{value.icon}"/>
                </h:column>
                
                <h:column>
                    <f:facet name="header">URL</f:facet>
                        #{value.url}
                </h:column>

                <h:column>
                    <f:facet name="header">User Name</f:facet>
                        #{value.siteUserName}
                </h:column>


                <h:column>
                    <f:facet name="header">Password</f:facet>
                        #{value.passwd}
                </h:column>




                <h:column>
                    <f:facet name="header">Delete</f:facet>
                    <h:commandButton value="Delete" action="#{loginBean.deleteValue(value)}"></h:commandButton>
                </h:column>
            </h:dataTable>


        </h:form>

        <br></br>
        <h:form >
            <h:panelGrid>
                <f:facet name="header">
                    <h:outputText value="Add Value"/>
                </f:facet>
                <h:outputLabel value="Url:"></h:outputLabel>
                <h:inputText value="#{loginBean.url}"></h:inputText>

                <h:outputLabel value="User Name:"></h:outputLabel>
                <h:inputText value="#{loginBean.siteUserName}"></h:inputText>

                <h:outputLabel value="Password:"></h:outputLabel>
                <h:inputText id="password" value="#{loginBean.passwd}" validatorMessage="A secure password should be longer than six characters">
                    <f:validateLength minimum="6" />
                </h:inputText>

                <h:message for="password" style="color:red" />
                <f:facet name="footer">
                    <h:panelGroup style="display:block; text-align:center">

                        <h:commandButton value="ADD" action="#{loginBean.addValue()}"/>
                    </h:panelGroup>
                </f:facet>

            </h:panelGrid>

            <h:commandLink value="LOGOUT" action="#{loginBean.logOut()}"></h:commandLink>
        </h:form>




    </h:body>

</html>

